> ## Documentation Index
> Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 주변 도서관 조회

> 
<p>쿼리 파리미터 <code>latitude</code>와 <code>longitude</code>에 해당하는 위도와 경도를 기준으로 쿼리 파라미터 <code>radiusKm</code> 반경에 위치한 도서관의 목록을 검색합니다.</p>
<p>응답의 <code>nextCursor</code> 값을 요청 시 쿼리 파라미터 <code>cursor</code>로 지정하면 해당 아이템 이후의 목록을 조회합니다.</p>
<p>* 도서관 조회는 최대 60초 소요됩니다. 시간 초과 한도를 60초로 설정하세요. 비정상적으로 많은 요청을 보내면 HTTP 상태 코드 <code>429 Too Many Requests</code>가 응답될 수 있습니다.</p>




## OpenAPI

````yaml /api-docs.json get /api/v1/libraries/nearby
openapi: 3.1.0
info:
  title: Polaris API
  version: 0.0.1
servers:
  - url: https://k-polaris.life
    description: Polaris API 서버
security: []
paths:
  /api/v1/libraries/nearby:
    get:
      tags:
        - 도서관
      summary: 주변 도서관 조회
      description: >

        <p>쿼리 파리미터 <code>latitude</code>와 <code>longitude</code>에 해당하는 위도와 경도를
        기준으로 쿼리 파라미터 <code>radiusKm</code> 반경에 위치한 도서관의 목록을 검색합니다.</p>

        <p>응답의 <code>nextCursor</code> 값을 요청 시 쿼리 파라미터 <code>cursor</code>로 지정하면
        해당 아이템 이후의 목록을 조회합니다.</p>

        <p>* 도서관 조회는 최대 60초 소요됩니다. 시간 초과 한도를 60초로 설정하세요. 비정상적으로 많은 요청을 보내면 HTTP
        상태 코드 <code>429 Too Many Requests</code>가 응답될 수 있습니다.</p>
      operationId: getNearbyLibraries
      parameters:
        - name: latitude
          in: query
          description: 조회하려는 위치의 위도입니다. -90.0 ~ +90.0 사이의 값이어야 합니다.
          required: true
          schema:
            type: number
            format: double
        - name: longitude
          in: query
          description: 조회하려는 위치의 경도입니다. -180.0 ~ +180.0 사이의 값이어야 합니다.
          required: true
          schema:
            type: number
            format: double
        - name: radiusKm
          in: query
          description: 조회하려는 위치에서 탐색할 범위입니다. 이는 원의 반지름이며, 조회하려는 위치가 원의 중심이 됩니다.
          required: false
          schema:
            type: number
            format: double
            default: 5
        - name: cursor
          in: query
          description: 특정 도서관 아이템 이후의 도서관 아이템을 조회할 때 사용합니다.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: 한 번에 응답 받을 도서관의 개수이고 기본값은 10이고 최대값은 100입니다.
          required: false
          schema:
            type: integer
            format: int32
            default: 10
      responses:
        '200':
          description: 성공
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/CursorPageResponseNearbyLibraryItemResponse
components:
  schemas:
    CursorPageResponseNearbyLibraryItemResponse:
      type: object
      properties:
        hasNext:
          type: boolean
          description: 다음 페이지가 있으면 true입니다.
          example: true
        nextCursor:
          type: string
          description: 다음 페이지 조회에 사용할 커서입니다. 다음 페이지가 없으면 null입니다.
          example: 98
        items:
          type: array
          description: 현재 페이지의 항목 목록입니다.
          items:
            $ref: '#/components/schemas/NearbyLibraryItemResponse'
    NearbyLibraryItemResponse:
      type: object
      properties:
        libraryId:
          type: integer
          format: int64
          description: 도서관 ID입니다. 최대 길이는 19자입니다.
          example: 3372036854775808
        name:
          type: string
          description: 도서관명입니다.
          example: 구미시립양포도서관
        address:
          type: string
          description: 도서관 주소입니다.
          example: 경상북도 구미시 옥계북로 51
        latitude:
          type: number
          format: double
          description: 도서관이 위치한 곳의 위도입니다.
          example: 36.1387724
        longitude:
          type: number
          format: double
          description: 도서관이 위치한 곳의 경도입니다.
          example: 128.4187321
        homepageUrl:
          type: string
          description: 도서관 홈페이지 URL입니다.
          example: https://lib.gumi.go.kr
        tel:
          type: string
          description: 도서관 전화번호입니다.
          example: 054-480-4770
        distanceKm:
          type: number
          format: double
          description: 요청 위치에서 도서관까지 떨어진 거리입니다.
          example: 2.38
        openNow:
          type: boolean
          description: 도서관 운영 여부입니다.
          example: true
        bookmarked:
          type: boolean

````